#!/bin/sh
# Copyright (c) 2022 Synology Inc. All rights reserved.

SURVEILLANCE_INC_SCRP=/var/packages/SurveillanceStation/scripts/SurveillanceStationCommon
. ${SURVEILLANCE_INC_SCRP}

AME_DSM_BUILD_NUM=42650
AME_UPGRADE_CHECKER="${SS_TARGET_DIR}/bin/ssameupgradechecker"

IsShowNotice()
{
	local InstallBuildNum=$1
	local DsmBuildNum=$(/bin/get_key_value "/etc.defaults/VERSION" "buildnumber")

	if [ $DsmBuildNum -lt $AME_DSM_BUILD_NUM ] && [ $InstallBuildNum -ge $AME_DSM_BUILD_NUM ]; then
		echo true
	else
		echo false
	fi
}

# video_type=6: H.265, video_type=8: H.265+, audio_format=4: AAC
GetUnsupportCamCnt()
{
	Sqlite3Exec "$SS_SYSTEM_DB" \
	"SELECT COUNT(1) FROM camera WHERE owner_ds_id=0 AND is_deleted='0' AND (video_type=6 OR video_type=8 OR audio_format=4);"
}

build_number=$3
if [ false == $(IsShowNotice $build_number) ] || [ $(GetCodecPackMajorVer) -ge 2 ] || [ $(GetUnsupportCamCnt) -eq 0 ]; then
	exit 0
fi

if [ "false" == "$($AME_UPGRADE_CHECKER)" ]; then
	echo "$build_number"
	exit 1
fi

exit 0
