#!/bin/sh
# Copyright (c) 2022 Synology Inc. All rights reserved.

###############################################################
#   Usable environment variable:
#       PACK_STATUS, PACK_VERSION, PACK_NAME
#
#   Note: The script should bear to be invoked multiple times
###############################################################

SURVEILLANCE_INC_SCRP=/var/packages/SurveillanceStation/scripts/SurveillanceStationCommon
. ${SURVEILLANCE_INC_SCRP}

#At begining, acquire package settings
PackageInfoGet;

PostAMEInstall()
{
	if [ -f "$CODECPACK_HOOK_AME_UPGRADE" ]; then
		rm -f "$CODECPACK_HOOK_AME_UPGRADE"

		SSDebugLog "AME+ post-install, restart svs.";
		SurveillanceStationRestart
	elif [ true == $(IsSSCoredRunning) ]; then
		if [ true == $(IsUsingAME) ]; then
			SSDebugLog "AME+ post-install, restart svs.";
			SurveillanceStationRestart
		else
			SSDebugLog "AME+ post-install, validate AME.";
			${S82_SCRIPT} trigger-ssctl validate-ame
		fi
	fi
}

case $1 in
	--sdk-mod-ver)
		#Print SDK support version
		echo "1.0"
	;;
	--name)
		#Print package name
		echo ${SURVEILLANCE_PKG_NAME};
	;;
	--pkg-ver)
		#Print package version
		echo ${SURVEILLANCE_PKG_VERSION};
	;;
	--vendor)
		#Print package vendor
		echo ${SURVEILLANCE_PKG_VENDOR};
	;;
	--app-id)
		#Print dsm app name
		echo ${SURVEILLANCE_DSM_APP_NAME};
	;;
	--pre)
	;;
	--post)
		PostAMEInstall
	;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--app-id|--pre|--post"
	;;
esac

